<?php

namespace FiloBlu\Kpi\Helper;
use Zend\Log\Logger;
use Zend\Log\Writer\Stream;
use Magento\Framework\App\Helper\AbstractHelper;

/**
 * Class Data
 * @package FiloBlu\Kpi\Helper
 */
class Data extends AbstractHelper
{
    /**
     * @var array
     */
    protected $loggers = [];

    /**
     * @param $filename
     * @return Logger
     */
    public function getLogger($filename)
    {
        if (isset($this->loggers[$filename])) {
            return $this->loggers[$filename];
        }

        $this->loggers[$filename] = new Logger();
        $this->loggers[$filename]->addWriter(new Stream(BP . "/var/log/{$filename}"));
        return $this->loggers[$filename];
    }

    public function shouldForceKpiImagesHttps(){
        return $this->scopeConfig->getValue('kpi/general/forcehttps');
    }

    /**
     * @param $haystack
     * @param $needle
     * @param $replace
     * @return string|string[]
     */
    public function strReplaceFirst($haystack,$needle,$replace){
        $pos = strpos($haystack, $needle);
        if ($pos !== false) {
            return substr_replace($haystack, $replace, $pos, strlen($needle));
        }
        return $haystack;
    }

}
